# Copyright 2024 postmarketOS community (people mentioned in this list)
# SPDX-License-Identifier: AGPL-3.0-or-later

# In blog posts, the {{@username}} template is used to refer to users
# consistently with a display name, and link the first occurrence to a website
# / gitlab.postmarketos.org site etc. Feel free to submit a patch to change
# your displayname or linked URL!

# Format:
#   username: [displayname, link (or None)],
# Notes:
# * Use "contrib/username_config_tool.py add" to add pmOS gitlab users easily
# * Order the entries alphabetically (:sort i)
# * username: preferably the gitlab.postmarketos.org nickname
# * displayname: usually first name but can be something else
names_and_links = {
    "1Maxnet1": ["Max", "https://gitlab.postmarketos.org/1Maxnet1"],
    "1peter10": ["Peter", "https://gitlab.postmarketos.org/1peter10"],
    "a-wai": ["Arnaud", "https://gitlab.postmarketos.org/a-wai"],
    "a_a": ["André", "https://gitlab.com/a_a"],
    "AbortRetryFail": ["AbortRetryFail", "https://gitlab.postmarketos.org/AbortRetryFail"],
    "adamthiede": ["Adam", "https://gitlab.postmarketos.org/adamthiede"],
    "Adrian": ["Jens", "https://gitlab.postmarketos.org/Adrian"],
    "agx": ["Guido", "https://gitlab.postmarketos.org/agx"],
    "airtower-luna": ["Fiona", "https://gitlab.postmarketos.org/airtower-luna"],
    "akemnade": ["Andreas", "https://gitlab.postmarketos.org/akemnade"],
    "alexeymin": ["Alexey", "/trusted-contributors/#alexey-minnekhanov-minlexx"],
    "alistair23": ["Alistair", "https://gitlab.postmarketos.org/alistair23"],
    "amartinz": ["Alexander", "https://gitlab.com/amartinz"],
    "amessier": ["Alexandre", "https://gitlab.postmarketos.org/amessier"],
    "andrisas": ["Andras", "https://gitlab.postmarketos.org/andrisas"],
    "anjandev": ["Anjan", "/trusted-contributors/#anjan-momi-anjandev"],
    "anxoCastro": ["Anxo", "https://gitlab.postmarketos.org/anxoCastro"],
    "Aren": ["ArenM", "https://gitlab.postmarketos.org/Aren"],
    "Arnavion": ["Arnav", "/trusted-contributors/#arnav-singh-arnavion"],
    "AutumnSpark1226": ["AutumnSpark1226", "https://gitlab.postmarketos.org/AutumnSpark1226"],
    "ayakael": ["Antoine", "https://gitlab.postmarketos.org/ayakael"],
    "barni2000": ["Barnabás", "/trusted-contributors/#barnabas-czeman-barni2000"],
    "benpicco": ["benpicco", "https://gitlab.postmarketos.org/benpicco"],
    "biktorgj": ["Biktor", "https://gitlab.postmarketos.org/biktorgj"],
    "bjorn3": ["bjorn3", "https://gitlab.postmarketos.org/bjorn3"],
    "bolilingmeng89006": ["Lin", "https://gitlab.postmarketos.org/bolilingmeng89006"],
    "caleb": ["Caleb", "/core-contributors/#caleb-connolly-calebccff"],
    "camelCaseNick": ["Markus", "https://gitlab.postmarketos.org/camelCaseNick"],
    "Ceddicedced": ["Cedric", "https://gitlab.postmarketos.org/Ceddicedced"],
    "celiffe": ["Connor", "https://gitlab.postmarketos.org/celiffe"],
    "cherrypicker": ["Johannes", "https://gitlab.postmarketos.org/cherrypicker"],
    "chipiguay": ["Pablo N.", "https://gitlab.postmarketos.org/chipiguay"],
    "cosmo": ["cosmo", "https://gitlab.postmarketos.org/cosmo"],
    "craftyguy": ["Clayton", "/core-contributors/#clayton-craft-craftyguy"],
    "dabao1955": ["dabao1955", "https://gitlab.postmarketos.org/dabao1955"],
    "danct12": ["Dang", "https://gitlab.postmarketos.org/danct12"],
    "dannycolin": ["Danny", "https://gitlab.postmarketos.org/dannycolin"],
    "dh": ["David", "https://gitlab.postmarketos.org/dh"],
    "dikasetyaprayogi": ["dikasp", "https://gitlab.postmarketos.org/dikasetyaprayogi"],
    "Drakulix": ["Victoria", "https://gitlab.postmarketos.org/Drakulix"],
    "DrGit": ["DrGit", "https://wiki.postmarketos.org/wiki/User:DrGit"],
    "dsankouski": ["Dzmitry", "https://gitlab.postmarketos.org/dsankouski"],
    "dujem": ["Duje", "https://gitlab.postmarketos.org/dujem"],
    "DylanVanAssche": ["Dylan", "/trusted-contributors/#dylan-van-assche-dylanvanassche"],
    "earboxer": ["Zach", "https://gitlab.postmarketos.org/earboxer"],
    "EDKPiepaint": ["EDK", "https://gitlab.postmarketos.org/EDKPiepaint"],
    "Eisenbahnfan": ["Eisenbahnfan", "https://gitlab.postmarketos.org/Eisenbahnfan"],
    "EspiDev": ["Devin", "https://gitlab.postmarketos.org/EspiDev"],
    "exkc": ["ΞЖKƆ/QVH", "https://gitlab.postmarketos.org/exkc"],
    "f-izzo": ["Federico", "/trusted-contributors/#federico-amedeo-izzo-fizzo"],
    "Felix": ["Felix", "https://gitlab.postmarketos.org/Felix"],
    "fossdd": ["Achill", "/trusted-contributors/#achill-gilgenast-fossdd"],
    "fraolt": ["Frank", "https://gitlab.postmarketos.org/fraolt"],
    "funderscore": ["Ferass", "/trusted-contributors/#ferass-el-hafidi-funderscore"],
    "gnumdk": ["Cédric", "https://gitlab.com/gnumdk"],
    "grimler": ["Henrik", "/trusted-contributors/#henrik-grimler-grimler"],
    "halamix2": ["Piotr", "https://gitlab.postmarketos.org/halamix2"],
    "HenriDellal": ["Anri", "https://gitlab.postmarketos.org/HenriDellal"],
    "hexaheximal": ["hexaheximal", "https://gitlab.postmarketos.org/hexaheximal"],
    "hrdl": ["hrdl", "https://gitlab.postmarketos.org/hrdl"],
    "iAboothahir": ["ABOOTHAHIR", "https://gitlab.postmarketos.org/iAboothahir"],
    "ijiki16": ["Iuri", "https://gitlab.postmarketos.org/ijiki16"],
    "Jack_Kekzoz": ["Jack", "https://gitlab.postmarketos.org/Jack_Kekzoz"],
    "Jakko": ["Jakko", "https://gitlab.postmarketos.org/Jakko"],
    "jakko": ["Jakko", "https://gitlab.postmarketos.org/jakko"],
    "jane400": ["Jane", "/trusted-contributors/#jane400"],
    "jenneron": ["Anton", "/trusted-contributors/#anton-bambura-jenneron"],
    "jianhua": ["Jianhua", "https://gitlab.postmarketos.org/jianhua"],
    "joelselvaraj": ["Joel", "https://gitlab.postmarketos.org/joelselvaraj"],
    "johkra": ["Johannes K.", "https://gitlab.postmarketos.org/johkra"],
    "JustSoup321": ["Aster", "/trusted-contributors/#aster-boese-justsoup"],
    "Kaloyan501": ["Kaloyan", "https://gitlab.postmarketos.org/Kaloyan501"],
    "kevinwidjaja21": ["Kevin", "https://gitlab.postmarketos.org/kevinwidjaja21"],
    "kidd": ["Kidd", "https://gitlab.postmarketos.org/kidd"],
    "knuxify": ["knuxify", "https://gitlab.postmarketos.org/knuxify"],
    "kouta-kun": ["kouta-kun", "https://gitlab.postmarketos.org/kouta-kun"],
    "langfingaz": ["Daniel", "https://gitlab.postmarketos.org/langfingaz"],
    "longnoserob": ["Rob", "/trusted-contributors/#robert-eckelmann-longnoserob"],
    "lucaweiss": ["Luca", "/core-contributors/#luca-weiss-z3ntu"],
    "lynxis": ["Lynxis", "https://gitlab.postmarketos.org/lynxis"],
    "magdesign": ["magdesign", "https://gitlab.postmarketos.org/magdesign"],
    "manoedinata": ["Hendra", "https://gitlab.postmarketos.org/manoedinata"],
    "manut": ["Manuel", "https://gitlab.postmarketos.org/manut"],
    "MartijnBraam": ["Martijn", "https://fosstodon.org/@MartijnBraam"],
    "MasterPlexus": ["MasterPlexus", "https://gitlab.postmarketos.org/MasterPlexus"],
    "matzipan": ["Andrei", "https://gitlab.com/matzipan"],
    "methanal": ["methanal", "https://gitlab.postmarketos.org/methanal"],
    "MightyM17": ["Mighty", "https://gitlab.postmarketos.org/MightyM17"],
    "Minecrell": ["Minecrell", "/trusted-contributors/#minecrell"],
    "mkorpershoek": ["Mattijs", "https://gitlab.postmarketos.org/mkorpershoek"],
    "N1kroks": ["N1kroks", "https://gitlab.postmarketos.org/N1kroks"],
    "nater1983": ["Nathaniel", "https://gitlab.postmarketos.org/nater1983"],
    "Newbyte": ["Stefan", "/core-contributors/#stefan-hansson-newbyte"],
    "ollieparanoid": ["Oliver", "/core-contributors/#oliver-smith-ollieparanoid"],
    "omasanori": ["Masanori", "https://gitlab.postmarketos.org/omasanori"],
    "Operachi": ["Bartłomiej", "https://gitlab.postmarketos.org/Operachi"],
    "pabloyoyoista": ["Pablo", "/core-contributors/#pablo-correa-gomez-pabloyoyoista"],
    "panpanpanpan": ["Pan", "https://gitlab.postmarketos.org/panpanpanpan"],
    "Patriot-06": ["Patriot", "https://gitlab.postmarketos.org/Patriot-06"],
    "pevik": ["Petr", "https://gitlab.postmarketos.org/pevik"],
    "phodina": ["Petr", "https://gitlab.com/phodina"],
    "pj": ["Jakub", "https://gitlab.alpinelinux.org/pj"],
    "proycon": ["Maarten", "https://gitlab.postmarketos.org/proycon"],
    "PsychoGame": ["Jan", "https://gitlab.postmarketos.org/PsychoGame"],
    "ptrcnull": ["Patrycja", "https://gitlab.alpinelinux.org/ptrcnull"],
    "PureTryOut": ["Bart", "/core-contributors/#bart-ribbers-puretryout"],
    "quickfixdemon": ["quick", "https://gitlab.postmarketos.org/quickfixdemon"],
    "raihan2000": ["Raihan", "https://gitlab.postmarketos.org/raihan2000"],
    "ramereth": ["Lance", "https://gitlab.postmarketos.org/ramereth"],
    "RannyBergamotte": ["Ranny", "https://gitlab.postmarketos.org/RannyBergamotte"],
    "rdacayan": ["Richard", "https://gitlab.postmarketos.org/rdacayan"],
    "richlitt": ["Richard L.", "https://mastodon.social/@richlitt"],
    "rmader": ["Robert", "https://gitlab.postmarketos.org/rmader"],
    "rodent": ["rodent", "https://gitlab.postmarketos.org/rodent"],
    "rontti": ["Matti", "https://gitlab.postmarketos.org/rontti"],
    "samcday": ["Sam", "https://wiki.postmarketos.org/wiki/User:Samcday"],
    "SethFalco": ["Seth", "https://gitlab.postmarketos.org/SethFalco"],
    "sicelo": ["sicelo", "https://gitlab.postmarketos.org/sicelo"],
    "sixthkrum": ["Vikram", "https://gitlab.postmarketos.org/sixthkrum"],
    "sleirsgoevy": ["Sergey", "https://gitlab.postmarketos.org/sleirsgoevy"],
    "smankusors": ["Antony", "https://gitlab.postmarketos.org/smankusors"],
    "smlrrlms": ["smlrrlms", "https://gitlab.postmarketos.org/smlrrlms"],
    "Sorcus": ["Sorcus", "https://gitlab.postmarketos.org/Sorcus"],
    "StacyHarper": ["Willow", "https://gitlab.postmarketos.org/StacyHarper"],
    "StandaSK": ["Stanislav", "https://gitlab.postmarketos.org/StandaSK"],
    "susurrus": ["Bryant", "https://gitlab.com/susurrus/"],
    "SzczurekYT": ["Szczurek", "https://gitlab.postmarketos.org/SzczurekYT"],
    "tpikonen": ["Teemu", "https://gitlab.postmarketos.org/tpikonen"],
    "TravMurav": ["Nikita", "/trusted-contributors/#nikita-travkin-travmurav"],
    "ungeskriptet": ["David", "https://gitlab.postmarketos.org/ungeskriptet"],
    "uninsane": ["Colin", "https://gitlab.postmarketos.org/uninsane"],
    "user0-07161": ["User0", "https://gitlab.postmarketos.org/user0-07161"],
    "valpackett": ["Val Packett", "https://gitlab.postmarketos.org/valpackett"],
    "VaporGame": ["VaporGame", "https://gitlab.postmarketos.org/VaporGame"],
    "verdre": ["Jonas", "https://gitlab.postmarketos.org/verdre"],
    "vipaoL": ["vipaoL", "https://gitlab.postmarketos.org/vipaoL"],
    "vladimir.stoyakin": ["Владимир", "https://gitlab.com/vladimir.stoyakin"],
    "vstoiakin": ["Vladimir", "https://gitlab.postmarketos.org/vstoiakin"],
    "WeirdTreeThing": ["Brady", "https://gitlab.postmarketos.org/WeirdTreeThing"],
    "whynothugo": ["Hugo", "https://gitlab.postmarketos.org/whynothugo"],
    "winbo-yml-exe": ["winbo.yml", "https://gitlab.postmarketos.org/winbo-yml-exe"],
    "wonderfulShrineMaidenOfParadise": ["Raymond", "/trusted-contributors/#raymond-hackley-wonderfulshrinemaidenofparadise"],
    "yehiashamaa987": ["Yahia", "https://gitlab.postmarketos.org/yehiashamaa987"],
}
